## kpmcore 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2014-2022 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2020 David Edmundson <kde@davidedmundson.co.uk>

# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})

set(SOVERSION "12")
add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"') #"

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

# Note that KPMcore is restricted to only run binaries installed into trusted prefixes
# See src/util/trustedprefixes
# By default this is set to / and /usr which is good for majority of distros

# Dependencies
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90")
set(BLKID_MIN_VERSION "2.33.2")
# PolkitQt5-1

# Runtime
# smartmontools 7.0

set(KDE_COMPILERSETTINGS_LEVEL "5.85")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMConfiguredInstall)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KPMCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
                        SOVERSION ${SOVERSION})

if (NOT QT_MAJOR_VERSION)
    set(QT_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} COMPONENTS REQUIRED
  Core
  DBus
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  CoreAddons
  I18n
  WidgetsAddons
)

find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
kde_enable_exceptions()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(BLKID REQUIRED blkid>=${BLKID_MIN_VERSION})
endif()

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPMcore")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPMcoreConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KPMcoreTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPMcoreTargets.cmake )

ki18n_install(po)

set_target_properties( kpmcore
  PROPERTIES VERSION ${RELEASE_SERVICE_VERSION} SOVERSION ${SOVERSION}
)

message(STATUS "kpmcore ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

enable_testing()
add_subdirectory(test)

=== src/plugins/dummy/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2010 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2016-2021 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

kpmcore_add_plugin(pmdummybackendplugin)

target_sources(pmdummybackendplugin PRIVATE
    dummybackend.cpp
    dummydevice.cpp
    dummypartitiontable.cpp
    ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
)

target_link_libraries(pmdummybackendplugin kpmcore KF5::I18n KF5::CoreAddons)

=== debian/changelog ===
kpmcore (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:57 +0100

kpmcore (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:41 +0100

kpmcore (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:50 +0100

kpmcore (22.12.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * Remove self from uploaders, package is good in the hands of KDE team now

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:02 +0100

kpmcore (22.08.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildd’s logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 22:17:49 +0200

kpmcore (22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 28 Sep 2022 23:14:29 +0200

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               gettext,
               libblkid-dev (>= 2.33.2),
               libkf5coreaddons-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5widgetsaddons-dev (>= 5.90~),
               libpolkit-qt5-1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kpmcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git

Package: libkpmcore12
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Replaces: libkmpcore11, libkpmcore10, libkpmcore9,
Breaks: libkpmcore10, libkpmcore11, libkpmcore9,
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: any
Depends: libkpmcore12 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

## kpmcore 23.08.0

=== debian/changelog ===
kpmcore (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:23 +0100

kpmcore (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Add the dh-sequence-pkgkde-symbolshelper build dep.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:55 +0100

kpmcore (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:24 +0100

kpmcore (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Update symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:33 +0100

kpmcore (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:03 +0000

kpmcore (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:02 -0600

kpmcore (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Build depend on dh-sequence-kf5 and remove pkg-kde-tools.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:45 +0000

kpmcore (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:47:30 +0000

kpmcore (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:31 +0000

kpmcore (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:46 +0000

kpmcore (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:57 +0000

kpmcore (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:47 +0000

## kpmcore 23.08.1

=== debian/changelog ===
kpmcore (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:22 +0100

## kpmcore 23.08.4

=== debian/changelog ===
kpmcore (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:35 +0000

kpmcore (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:43 +0000

kpmcore (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:32 +0100

## kpmcore 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -26,7 +26,7 @@
 
 # Dependencies
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90")
+set(KF5_MIN_VERSION "5.92")
 set(BLKID_MIN_VERSION "2.33.2")
 # PolkitQt5-1
 
@@ -45,6 +45,14 @@
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMConfiguredInstall)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KPMCORE
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
@@ -63,7 +71,7 @@
 )
 
 # Load the frameworks we need
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED
   CoreAddons
   I18n
   WidgetsAddons
@@ -71,7 +79,10 @@
 
 find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
+
 kde_enable_exceptions()
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2017 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2018 Caio Jordão Carvalho <caiojcarvalho@gmail.com>

# SPDX-License-Identifier: GPL-3.0-or-later

include(core/raid/CMakeLists.txt)

set(CORE_SRC
    core/copysource.cpp
    core/copysourcedevice.cpp
    core/copysourcefile.cpp
    core/copysourceshred.cpp
    core/copytarget.cpp
    core/copytargetbytearray.cpp
    core/copytargetdevice.cpp
    core/copytargetfile.cpp
    core/device.cpp
    core/devicescanner.cpp
    core/diskdevice.cpp
    core/fstab.cpp
    core/lvmdevice.cpp
    core/operationrunner.cpp
    core/operationstack.cpp
    core/partition.cpp
    core/partitionalignment.cpp
    core/partitionnode.cpp
    core/partitionrole.cpp
    core/partitiontable.cpp
    core/smartstatus.cpp
    core/smartattribute.cpp
    core/smartparser.cpp
    core/smartattributeparseddata.cpp
    core/smartdiskinformation.cpp
    core/volumemanagerdevice.cpp
    ${RAID_SRC}
)

set(CORE_LIB_HDRS
    core/device.h
    core/devicescanner.h
    core/diskdevice.h
    core/fstab.h
    core/lvmdevice.h
    core/operationrunner.h
    core/operationstack.h
    core/partition.h
    core/partitionalignment.h
    core/partitionnode.h
    core/partitionrole.h
    core/partitiontable.h
    core/smartattribute.h
    core/smartstatus.h
    core/volumemanagerdevice.h
    ${RAID_LIB_HDRS}
)

=== src/util/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2015-2020 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2018 Huzaifa Faruqui <huzaifafaruqui@gmail.com>
# SPDX-FileCopyrightText: 2019 Albert Astals Cid <aacid@kde.org>
# SPDX-FileCopyrightText: 2019 Antonio Rojas <arojas@archlinux.org>
# SPDX-FileCopyrightText: 2020 David Edmundson <kde@davidedmundson.co.uk>

# SPDX-License-Identifier: GPL-3.0-or-later

set(helper_interface_xml org.kde.kpmcore.helperinterface.xml)

file(READ "util/trustedprefixes" TRUSTED_PREFIXES)
string(REGEX REPLACE ";" "\\\\;" TRUSTED_PREFIXES "${TRUSTED_PREFIXES}")
string(REGEX REPLACE "\n" ";" TRUSTED_PREFIXES "${TRUSTED_PREFIXES}")
foreach(TRUSTED_PREFIX ${TRUSTED_PREFIXES})
    list(APPEND TRUSTED_PREFIXES_LIST "    QStringLiteral(\"${TRUSTED_PREFIX}\")")
endforeach()
string(REPLACE ";    QStringLiteral(" ",\n    QStringLiteral(" TRUSTED_PREFIXES_LIST "${TRUSTED_PREFIXES_LIST}")
set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS util/trustedprefixes)
configure_file(util/externalcommand_trustedprefixes.h.in util/externalcommand_trustedprefixes.h)

qt_generate_dbus_interface(
    util/externalcommand.h
    ${application_interface_xml}
    OPTIONS -a
)

qt_generate_dbus_interface(
    util/externalcommandhelper.h
    ${helper_interface_xml}
    OPTIONS -a
)

qt_add_dbus_interface(HelperInterface_SRCS ${CMAKE_CURRENT_BINARY_DIR}/${helper_interface_xml} externalcommandhelper_interface)

set(UTIL_SRC
    ${HelperInterface_SRCS}
    util/capacity.cpp
    util/externalcommand.cpp
    util/globallog.cpp
    util/helpers.cpp
    util/htmlreport.cpp
    util/report.cpp
)

set(UTIL_LIB_HDRS
    util/capacity.h
    util/externalcommand.h
    util/globallog.h
    util/helpers.h
    util/htmlreport.h
    util/report.h
)

add_executable(kpmcore_externalcommand
    util/externalcommandhelper.cpp
)

target_link_libraries(kpmcore_externalcommand
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::DBus
    KF${KF_MAJOR_VERSION}::I18n
    PolkitQt${QT_MAJOR_VERSION}-1::Core
)

install(TARGETS kpmcore_externalcommand DESTINATION ${KDE_INSTALL_LIBEXECDIR})
install( FILES util/org.kde.kpmcore.helperinterface.conf DESTINATION ${KDE_INSTALL_DBUSDIR}/system.d )

install( FILES util/org.kde.kpmcore.externalcommand.policy DESTINATION ${POLKITQT-1_POLICY_FILES_INSTALL_DIR})
ecm_install_configured_files(
    INPUT util/org.kde.kpmcore.helperinterface.service.in
    DESTINATION ${KDE_INSTALL_DBUSDIR}/system-services
)

=== src/plugins/dummy/CMakeLists.txt ===
--- 
+++ 
@@ -12,4 +12,4 @@
     ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
 )
 
-target_link_libraries(pmdummybackendplugin kpmcore KF5::I18n KF5::CoreAddons)
+target_link_libraries(pmdummybackendplugin kpmcore KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::CoreAddons)

=== debian/changelog ===
kpmcore (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:42:01 +0000

kpmcore (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:15:31 +0000

kpmcore (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:14:02 -0700

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.90~),
               gettext,
               libblkid-dev (>= 2.33.2),
               libkf5coreaddons-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5widgetsaddons-dev (>= 5.90~),
               libpolkit-qt5-1-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kpmcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore

Package: libkpmcore12
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkmpcore11, libkpmcore10, libkpmcore9
Breaks: libkpmcore10, libkpmcore11, libkpmcore9
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: any
Depends: libkpmcore12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpmdummybackendplugin -Xlibpmsfdiskbackendplugin

execute_after_dh_auto_install:
	# do not ship helper translations
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo

# Not sure these can work in a chroot
override_dh_auto_test:

## kpmcore 24.08.2

=== debian/changelog ===
kpmcore (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep our symbols file.
  * Drop old Breaks/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 14:59:33 -0500

kpmcore (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Update list of installed files from build system.
  * Update libkpmcore12.symbols.
  * Refresh copyright info.
  * pkg-config -> pkgconf.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Use dh-sequence-kf6.
  * Update package descriptions.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update symbols from build for 24.08.2.
  * Fix typo in Replaces relation with older version of the lib.
  * Cleanup Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 08:48:50 +0200

kpmcore (23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update symbols file.
  * Update build-deps with info from cmake.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Tue, 05 Dec 2023 12:18:00 -0500

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libblkid-dev (>= 2.33.2),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libpolkit-qt6-1-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kpmcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore

Package: libkpmcore12
Architecture: any
Multi-Arch: same
Depends: fdisk, ${misc:Depends}, ${shlibs:Depends}
Description: KDE Partition Manager Core
 KDE Partition Manager Core (KPM core) allows software to re-use
 common partitioning GUI tasks.
 .
 It is used by the generic system installer called Calamares
 as well as the KDE Partition Manager application.

Package: libkpmcore-dev
Section: libdevel
Architecture: any
Depends: libkpmcore12 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: KDE Partition Manager Core development files
 KDE Partition Manager Core (KPM core) allows software to re-use
 common partitioning GUI tasks.
 .
 It is used by the generic system installer called Calamares
 as well as the KDE Partition Manager application.
 .
 This package contains development files for kpmcore.

## kpmcore 24.12.0

=== debian/changelog ===
kpmcore (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 08:41:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kpmcore
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libblkid-dev (>= 2.33.2),
@@ -19,13 +18,15 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
 
 Package: libkpmcore12
 Architecture: any
 Multi-Arch: same
-Depends: fdisk, ${misc:Depends}, ${shlibs:Depends}
+Depends: fdisk, ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkpmcore10, libkpmcore11,
+Replaces: libkpmcore10, libkpmcore11,
 Description: KDE Partition Manager Core
  KDE Partition Manager Core (KPM core) allows software to re-use
  common partitioning GUI tasks.

## kpmcore 24.12.1

=== debian/changelog ===
kpmcore (24.12.1-0ubuntu2) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jan 2025 13:13:59 +0000

kpmcore (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:17:41 +0000

kpmcore (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:24 +0000

kpmcore (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:20:15 +0000

kpmcore (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 11:42:58 +0000

kpmcore (24.08.3-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:54:03 +0000

kpmcore (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:35 +0000

## kpmcore 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -25,8 +25,8 @@
 # By default this is set to / and /usr which is good for majority of distros
 
 # Dependencies
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.92")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "5.240.0")
 set(BLKID_MIN_VERSION "2.33.2")
 # PolkitQt5-1
 
@@ -35,7 +35,7 @@
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
 
 include(KDEInstallDirs)
@@ -46,24 +46,13 @@
 include(ECMSetupVersion)
 include(ECMConfiguredInstall)
 include(ECMDeprecationSettings)
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_REQUIRED_VERSION "6.4.0")
-    set(KF_MIN_VERSION "5.240.0")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KPMCORE
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
                         SOVERSION ${SOVERSION})
 
-if (NOT QT_MAJOR_VERSION)
-    set(QT_MAJOR_VERSION "5")
-endif()
-
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} COMPONENTS REQUIRED
+find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS REQUIRED
   Core
   DBus
   Gui
@@ -71,16 +60,16 @@
 )
 
 # Load the frameworks we need
-find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED
   CoreAddons
   I18n
   WidgetsAddons
 )
 
-find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)
+find_package(PolkitQt6-1 REQUIRED)
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.101
+ecm_set_disabled_deprecation_versions(QT 6.7
+    KF 6.4
 )
 
 kde_enable_exceptions()
@@ -115,7 +104,7 @@
 
 message(STATUS "kpmcore ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 enable_testing()
 add_subdirectory(test)

=== src/fs/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015-2019 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2017 Pali Rohár <pali.rohar@gmail.com>
# SPDX-FileCopyrightText: 2018 Caio Jordão Carvalho <caiojcarvalho@gmail.com>
# SPDX-FileCopyrightText: 2019 Shubham Jangra <aryan100jangid@gmail.com>
# SPDX-FileCopyrightText: 2020 Arnaud Ferraris <arnaud.ferraris@collabora.com>
# SPDX-FileCopyrightText: 2020 Gaël PORTAY <gael.portay@collabora.com>

# SPDX-License-Identifier: GPL-3.0-or-later

set(FS_SRC
    fs/apfs.cpp
    fs/bcachefs.cpp
    fs/bitlocker.cpp
    fs/btrfs.cpp
    fs/exfat.cpp
    fs/ext2.cpp
    fs/ext3.cpp
    fs/ext4.cpp
    fs/extended.cpp
    fs/f2fs.cpp
    fs/fat12.cpp
    fs/fat16.cpp
    fs/fat32.cpp
    fs/filesystem.cpp
    fs/filesystemfactory.cpp
    fs/hfs.cpp
    fs/hfsplus.cpp
    fs/hpfs.cpp
    fs/iso9660.cpp
    fs/jfs.cpp
    fs/linuxraidmember.cpp
    fs/linuxswap.cpp
    fs/luks.cpp
    fs/luks2.cpp
    fs/lvm2_pv.cpp
    fs/minix.cpp
    fs/nilfs2.cpp
    fs/ntfs.cpp
    fs/ocfs2.cpp
    fs/reiser4.cpp
    fs/reiserfs.cpp
    fs/udf.cpp
    fs/ufs.cpp
    fs/unformatted.cpp
    fs/unknown.cpp
    fs/xfs.cpp
    fs/zfs.cpp
)

set(FS_LIB_HDRS
    fs/apfs.h
    fs/btrfs.h
    fs/bitlocker.h
    fs/btrfs.h
    fs/exfat.h
    fs/ext2.h
    fs/ext3.h
    fs/ext4.h
    fs/extended.h
    fs/f2fs.h
    fs/fat12.h
    fs/fat16.h
    fs/fat32.h
    fs/filesystem.h
    fs/filesystemfactory.h
    fs/hfs.h
    fs/hfsplus.h
    fs/hpfs.h
    fs/iso9660.h
    fs/jfs.h
    fs/linuxraidmember.h
    fs/linuxswap.h
    fs/luks.h
    fs/luks2.h
    fs/lvm2_pv.h
    fs/minix.h
    fs/nilfs2.h
    fs/ntfs.h
    fs/ocfs2.h
    fs/reiser4.h
    fs/reiserfs.h
    fs/udf.h
    fs/ufs.h
    fs/unformatted.h
    fs/unknown.h
    fs/xfs.h
    fs/zfs.h
)

=== src/plugins/dummy/CMakeLists.txt ===
--- 
+++ 
@@ -12,4 +12,4 @@
     ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
 )
 
-target_link_libraries(pmdummybackendplugin kpmcore KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::CoreAddons)
+target_link_libraries(pmdummybackendplugin kpmcore KF6::I18n KF6::CoreAddons)

=== debian/changelog ===
kpmcore (24.12.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix a memory leak by actually freeing a correct pointer.
    - Fix a crash when filesystem==nullptr.
  * Reenable build-time tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 09:01:20 +0200

kpmcore (24.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.3).
  * Backport commit to fix misleading Polish translation. (Closes:
    #1104060)
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 00:19:45 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libpolkit-qt6-1-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpmdummybackendplugin -Xlibpmsfdiskbackendplugin

execute_after_dh_auto_install:
	# do not ship helper translations
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo

# Not sure these can work in a chroot
#override_dh_auto_test:

## kpmcore 25.04.0

=== src/backend/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2017 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

set(BACKEND_SRC
    backend/corebackendmanager.cpp
    backend/corebackenddevice.cpp
    backend/corebackend.cpp
    backend/corebackendpartitiontable.cpp
)

set(BACKEND_LIB_HDRS
    backend/corebackend.h
    backend/corebackendmanager.h
)

=== src/ops/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2016 Chantara Tith <tith.chantara@gmail.com>

# SPDX-License-Identifier: GPL-3.0-or-later

set(OPS_SRC
    ops/operation.cpp
    ops/deleteoperation.cpp
    ops/restoreoperation.cpp
    ops/resizeoperation.cpp
    ops/newoperation.cpp
    ops/createfilesystemoperation.cpp
    ops/createpartitiontableoperation.cpp
    ops/createvolumegroupoperation.cpp
    ops/removevolumegroupoperation.cpp
    ops/deactivatevolumegroupoperation.cpp
    ops/resizevolumegroupoperation.cpp
    ops/setfilesystemlabeloperation.cpp
    ops/setpartflagsoperation.cpp
    ops/setpartlabeloperation.cpp
    ops/checkoperation.cpp
    ops/backupoperation.cpp
    ops/copyoperation.cpp
)

set(OPS_LIB_HDRS
    ops/backupoperation.h
    ops/checkoperation.h
    ops/copyoperation.h
    ops/createfilesystemoperation.h
    ops/createpartitiontableoperation.h
    ops/createvolumegroupoperation.h
    ops/removevolumegroupoperation.h
    ops/deactivatevolumegroupoperation.h
    ops/resizevolumegroupoperation.h
    ops/deleteoperation.h
    ops/newoperation.h
    ops/operation.h
    ops/resizeoperation.h
    ops/restoreoperation.h
    ops/setfilesystemlabeloperation.h
    ops/setpartflagsoperation.h
    ops/setpartlabeloperation.h
)

=== debian/changelog ===
kpmcore (25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Adapt packaging to soname bump from libkpmcore12 to libkpmcore13.
  * Update symbols from build for 25.04.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 06 May 2025 00:46:20 +0200

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,18 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
 
-Package: libkpmcore12
+Package: libkpmcore13
 Architecture: any
 Multi-Arch: same
-Depends: fdisk, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkpmcore10, libkpmcore11,
-Replaces: libkpmcore10, libkpmcore11,
+Depends: fdisk,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libkpmcore10,
+        libkpmcore11,
+        libkpmcore12,
+Replaces: libkpmcore10,
+          libkpmcore11,
+          libkpmcore12,
 Description: KDE Partition Manager Core
  KDE Partition Manager Core (KPM core) allows software to re-use
  common partitioning GUI tasks.
@@ -37,7 +43,9 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore12 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+Depends: libkpmcore13 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: KDE Partition Manager Core development files
  KDE Partition Manager Core (KPM core) allows software to re-use

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo
 
 # Not sure these can work in a chroot
-#override_dh_auto_test:
+override_dh_auto_test:

## kpmcore 25.04.3

=== debian/changelog ===
kpmcore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:35 +0100

kpmcore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:25 +0100

kpmcore (25.04.1-0ubuntu2) questing; urgency=medium

  * Disable test that requires full build.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 11:02:50 +0100

kpmcore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)
  * Drop included upstream_fix-partitionmanager-crashes.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:57 +0100

kpmcore (25.04.0-0ubuntu2) questing; urgency=medium

  * Add upstream_fix-partitionmanager-crashes.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 02 May 2025 07:34:51 +0100

kpmcore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Drop ext4-lazy_itable_init-lazy_journal_init.patch and tests-
    cpp20.patch. Included in this release.
  * Bump SONAME according to upstream changes:
    - libkpmcore12 -> libkpmcore13
  * Regenerate symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:50 +0100

kpmcore (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:34 +0000

kpmcore (24.12.2-0ubuntu2) plucky; urgency=medium

  * Merge from Debian Unstable in packaging.
  * Add ext4-lazy_itable_init-lazy_journal_init.patch which sets
    lazy_itable_init and lazy_journal_init to 0, trading speed (with the
    bottleneck being disk bandwidth) for a cleaner mkfs.
  * Add tests-cpp20.patch which bumps the test suite to C++20.
  * Enable the autopkgtest, ensure it is functional.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 02:07:29 -0600

kpmcore (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:00:50 +0000

## kpmcore 25.07.80

=== debian/changelog ===
kpmcore (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:08 +0100

## kpmcore 25.07.90

=== debian/changelog ===
kpmcore (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:32 +0100

## kpmcore 25.08.0

=== debian/changelog ===
kpmcore (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:26 +0100

## kpmcore 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})
 
-set(SOVERSION "12")
+set(SOVERSION "13")
 add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"') #"
 
 set(CMAKE_USE_RELATIVE_PATHS OFF)
@@ -69,7 +69,7 @@
 find_package(PolkitQt6-1 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(QT 6.7
-    KF 6.4
+    KF 6.10
 )
 
 kde_enable_exceptions()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

# SPDX-License-Identifier: GPL-3.0-or-later

add_definitions(-DTRANSLATION_DOMAIN=\"kpmcore\")

include_directories(
    ${BLKID_INCLUDE_DIRS}
)

include(backend/CMakeLists.txt)
include(core/CMakeLists.txt)
include(util/CMakeLists.txt)
include(ops/CMakeLists.txt)
include(jobs/CMakeLists.txt)
include(fs/CMakeLists.txt)
include(gui/CMakeLists.txt)

set(kpmcore_SRCS
    ${BACKEND_SRC}
    ${FS_SRC}
    ${CORE_SRC}
    ${OPS_SRC}
    ${JOBS_SRC}
    ${UTIL_SRC}
    ${GUI_SRC}
)

ki18n_wrap_ui(kpmcore_SRCS ${gui_UIFILES})

add_library(kpmcore SHARED ${kpmcore_SRCS})
target_link_libraries( kpmcore PUBLIC
    Qt6::Core
    PRIVATE
    ${BLKID_LIBRARIES}
    Qt6::DBus
    Qt6::Gui
    KF6::I18n
    KF6::CoreAddons
    KF6::WidgetsAddons
)
generate_export_header(kpmcore
    BASE_NAME LIBKPMCORE
    EXPORT_FILE_NAME util/libpartitionmanagerexport.h
)
list(APPEND UTIL_LIB_HDRS ${CMAKE_CURRENT_BINARY_DIR}/util/libpartitionmanagerexport.h)

target_include_directories(kpmcore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/kpmcore>")

install(TARGETS kpmcore EXPORT KPMcoreTargets  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CORE_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/core/ COMPONENT Devel)
install(FILES ${BACKEND_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/backend/ COMPONENT Devel)
install(FILES ${FS_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/fs/ COMPONENT Devel)
install(FILES ${JOBS_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/jobs/ COMPONENT Devel)
install(FILES ${OPS_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/ops/ COMPONENT Devel)
install(FILES ${UTIL_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/util/ COMPONENT Devel)
install(FILES ${GUI_LIB_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kpmcore/gui/ COMPONENT Devel)

############################################

add_subdirectory(plugins)

=== src/core/raid/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Caio Jordão Carvalho <caiojcarvalho@gmail.com>

# SPDX-License-Identifier: GPL-3.0-or-later

set(RAID_SRC
    core/raid/softwareraid.cpp
)

set(RAID_LIB_HDRS
    core/raid/softwareraid.h
)

=== debian/changelog ===
kpmcore (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:24 +0100
